> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save Fetch Config

> Save a new Fetch File Configuration.



## OpenAPI

````yaml /openapi/openapi_inventory.json post /commerce/inventory/v1/config/fetchfile
openapi: 3.0.0
info:
  description: |-
    <div id="overview_INVENTORY">
                <h2>INVENTORY</h2>
                <p>Use the Inventory API to retrieve the inventory levels of requested products, refresh and adjust current
                    stock levels at fulfillment locations, and tag segmented inventory for different channels. When using tags for inventory segmentation, inventory records are separated into categories to identify
                    which portions of its
                    total quantity are intended for different channels, customer groups, fulfillment methods, or other
                    needs.
                    This allows for setting a percentage of the quantity that would be available for each category and
                    setting discrete units at the location level as available for each category. For example, tags could
                    define how much of each
                    inventory record is set aside for a certain sales channel: the Kibo storefront, Walmart, or Amazon. The
                    percentages of the
                    inventory allotted for each channel would add up to 100% - the Kibo storefront could have 80% of the
                    inventory, Amazon 10%, and Walmart 10%. For more information, see the <a href="/developer-guides/inventory">Inventory guides</a>.</p>
                <p>Use the <strong>Inventory</strong>, <strong>Inventory Allocation</strong>, and <strong>Modify Inventory</strong> resources to retrieve and update inventory levels.</p>  
                <p>Use the <strong>Inventory Job</strong> resource to retrieve information about your pending inventory update processing jobs.</p> 
                <p>Use the <strong>Inventory Tag</strong> and <strong>Tag Category</strong> resources to segment your inventory records.</p> 
            </div>
  title: Inventory
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/inventory/v1/config/fetchfile:
    post:
      tags:
        - InventoryFetchFileConfig
      summary: Save Fetch Config
      description: Save a new Fetch File Configuration.
      parameters: []
      requestBody:
        $ref: '#/components/requestBodies/FetchFileConfigRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseResponse'
          description: Success
        '400':
          description: Bad Request
components:
  requestBodies:
    FetchFileConfigRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FetchFileConfigRequest'
      description: Request to fetch file configs
      required: true
  schemas:
    BaseResponse:
      description: Base Response Model
      properties:
        messages:
          description: List of messages
          items:
            type: string
          type: array
        numResults:
          description: Number of results
          type: integer
        success:
          description: Flag for success
          type: boolean
      title: Base Response
      type: object
    FetchFileConfigRequest:
      description: Request for Fetch File Configs
      properties:
        active:
          description: Flag for active state
          nullable: false
          type: boolean
        archiveBucket:
          description: S3 Archive Bucket
          type: string
        blankQuantityIsZero:
          description: Flag to convert null quantities to zero
          nullable: false
          type: boolean
        bucket:
          description: S3 Bucket
          type: string
        csvDelimiter:
          description: Delimiter
          type: string
        emailList:
          description: Email List
          type: string
        fetchFileConfigID:
          description: Fetch File Config ID
          type: integer
        fieldNameMap:
          description: List of field names
          items:
            type: string
          type: array
        ftpPassword:
          description: FTP server password
          type: string
        ftpPort:
          description: FTP server port
          type: integer
        ftpRemotePath:
          description: FTP server remote path
          type: string
        ftpRemotePathArchive:
          description: FTP server remote path archive
          type: string
        ftpServer:
          description: FTP server address
          type: string
        ftpUsername:
          description: FTP server username
          type: string
        ignoreExtraFields:
          description: Flag for ignoring extra fields
          nullable: false
          type: boolean
        locationCode:
          description: Location Code
          title: location code
          type: string
        lockName:
          description: Lock name
          type: string
        multipleFiles:
          description: Flag for using multiple files
          nullable: false
          type: boolean
        pageNum:
          description: which page to show
          type: integer
        pageSize:
          description: how many results to show per page
          type: integer
        postProcessAction:
          description: Enum denoting action post processing
          type: integer
        productMapping:
          description: Enum for fetch file productMapping
          enum:
            - SWAP_PART_NUMBER_WITH_UPC
            - SWAP_SKU_WITH_UPC
          title: productMapping
          type: string
        refreshEnabled:
          description: Flag for Refresh Enabled
          nullable: false
          type: boolean
        refreshFileDescription:
          description: Description for the refresh file
          type: string
        region:
          description: S3 Region
          type: string
        s3ArchivePath:
          description: S3 Archive Bucket Path (directory)
          type: string
        s3Path:
          description: S3 Bucket Path (directory)
          type: string
        sortBy:
          description: index to sort results by
          type: string
        testFTPConfigs:
          description: Flag for if its a test ftp config
          type: boolean
        updateEnabled:
          description: Flag for Update Enabled
          nullable: false
          type: boolean
        updateFileDescription:
          description: Description for the update file
          type: string
        useControlFile:
          description: Flag for using control file
          nullable: false
          type: boolean
        userID:
          description: user id
          type: integer
        zeroOutNegatives:
          description: Flag for converting negatives to zero
          nullable: false
          type: boolean
      title: Fetch File Config Request
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````